none
Invoke REST Service

    Вопрос

  • Разрабатываю сейчас один ранбук - понадобилось в нем дернуть наш сервис-деск по REST API. Установил на сервер Оркестратора System Center 2012 R2 Integration Pack for REST - там одна активити Invoke REST Service. Заполняю необходимые поля - выдает ошибку при выполнении:

    HTTP Version should be either 1.0 or 1.1

    Exception: Exception
    Target site: RestIP.Execute

    Stack trace:
    at Microsoft.SystemCenter.Orchestrator.Integration.REST.ServerExtension.RestIP.Execute(IActivityRequest request, IActivityResponse response)


    В поле HTTP Version явно указано значение 1.1

    Пробовал погуглить - нигде ничего найти не могу. Никто не сталкивался?
    18 марта 2014 г. 9:50

Все ответы

  • Hi,

    I am not sure, if it is still revelant to you, but I had the same issue as You.

    You have to switch localization settings of your orchestrator server. This is happening, because the [float]::TryParse() method is using another float number format than is requested by Orchestrator. It need to have set up floating point separator as dot '.' Then the version is decoded correctly.

    Regards,

    Stanislaw Wawszczak

    PS. Sorry that not in Russian, but I don't have correct keyboard layout right now :)

    • Предложено в качестве ответа wonderfox 2 сентября 2016 г. 15:03